#include <Wire.h>

// last 3 bit are the slave address A0..2
const byte adcAddress = 0b0101000;

void setup() {
  Serial.begin(9600);
  Wire.begin();
}

void loop() {
  // put your main code here, to run repeatedly:
  for (byte i = 0; i < 8; i++) {
    int data = readADC(adcAddress, 0);
    Serial.print("Ch");
    Serial.print(i);
    Serial.print(": ");
    Serial.println(data, HEX);
    delay(100);
  }
}


int readADC(byte address, byte channel) {
  byte controlByte = 0x88 | (channel << 4);

  Wire.beginTransmission(address);
  Wire.write(controlByte);
  Wire.endTransmission();

  Wire.requestFrom(address, 2);
  word msb = Wire.read();
  word lsb = Wire.read();
  word data = (msb << 4) | (lsb >> 4);
  return data;
}
