#include <SPI.h>
#include <SD.h>

#define SS 10
#define WRITE 9

void setup() {
  // Open serial communications
  Serial.begin(9600);
  Serial.print("SD card init...");
  pinMode(SS, OUTPUT);
  pinMode(WRITE, OUTPUT);

  digitalWrite(WRITE, HIGH);
  while(!SD.begin(SS)) {
    digitalWrite(WRITE, LOW);
    Serial.println("SD init failed!");
    delay(1000);
  digitalWrite(WRITE, HIGH);
  }
  digitalWrite(WRITE, LOW);

  Serial.println("SD ok.");

  digitalWrite(WRITE, HIGH);
  SD.mkdir("bus_sys");
  digitalWrite(WRITE, LOW);
}

File file;
void loop() {
  // open the file
  digitalWrite(WRITE, HIGH);
  file = SD.open("bus_sys/test.txt", FILE_WRITE);
  if (file) {
    Serial.print("writing to file");

    file.println("This is a small test for reading and writing to a sd card.");
    file.close();

    Serial.println("writing ok.");
  } else {
    Serial.println("file open for write error");
  }
  digitalWrite(WRITE, LOW);

  // re-open the file for reading:
  digitalWrite(WRITE, HIGH);
  if (SD.exists("bus_sys/test.txt")) {
    Serial.println("test.txt exists");
  }
  
  file = SD.open("bus_sys/test.txt");
  if (file) {
    Serial.println("reading from test.txt");

    while (file.available()) {
      Serial.write(file.read());
    }
    file.close();

  } else {
    Serial.println("file open for read error");
  }
  digitalWrite(WRITE, LOW);

  delay(10000);
}

