// Pins für den HC-SR04
#define PIN_TRIGGER 3
#define PIN_ECHO 2
#define PIN_SWITCH 7
#define PIN_BEEPER 11


void setup () {
  Serial.begin (9600);

  pinMode(PIN_TRIGGER, OUTPUT);
  pinMode(PIN_ECHO, INPUT);
  pinMode(PIN_SWITCH, INPUT_PULLUP);
  Serial.println("HC-SR04 Demo");
}

void loop()
{
  // Nur einschalten wenn der Schalter gedrückt ist
  if (digitalRead(PIN_SWITCH) == 0) {
    // Ultraschall module triggern
    digitalWrite(PIN_TRIGGER, HIGH);
    delayMicroseconds(1000);
    digitalWrite(PIN_TRIGGER, LOW);

    // und Echo lesen
    long puls = pulseIn(PIN_ECHO, HIGH, 10000);

    // entfernung berechnen
    float distance = (puls / 2) / 29.1;

    Serial.print(distance);
    Serial.println(" cm");

    if (distance < 25) {
      int pitch = map(distance, 0, 25, 30, 1000);

      tone(PIN_BEEPER, pitch);
    } else {
      noTone(PIN_BEEPER);
    }
  } else {
    noTone(PIN_BEEPER);
  }
}

