import spidev
import time

# Erzeugen eines SPI Objektes
spi = spidev.SpiDev()
# Initialisieren der Schnittstelle 0 mit SS 0
spi.open(0,0)
# nur die Geschwindigkeit muss gedrosselt werden
spi.max_speed_hz=(250000)

APOSTROPHE  = 5
COLON       = 4
DECIMAL4    = 3
DECIMAL3    = 2
DECIMAL2    = 1
DECIMAL1    = 0

SEGMENT1  = 0
SEGMENT2  = 1
SEGMENT3  = 2
SEGMENT4  = 3
SEGMENT5  = 4
SEGMENT6  = 5
SEGMENT7  = 6

DIGIT1  = 0x7B
DIGIT2  = 0x7C
DIGIT3  = 0x7D
DIGIT4  = 0x7E

#Reset ausführen
spi.xfer2('v')

#Helligkeit setzen
def setBrightness(brightness) :
    # Kommando Helligkeit
    data = [0x7A, chr(brightness)]
    spi.xfer2(data)
}

def setSpecialSegments(special) :
    # Kommando Spezialsegmente
    data = [0x77, chr(brightness)]
    spi.xfer2(data)

def setSegments(digit, segments) :
    data = [chr(digit), chr(segments)]
    spi.xfer2(data)

def sendString(toSend) :
    # Resetkommando
    spi.xfer2('v')
    data = [chr(toSend[0]), chr(toSend[1]), chr(toSend[2]), chr(toSend[3])]
    # Zeichen versenden
    spi.xfer2(data)

#Wiederholen bis STRG+C 
try:
    while True:
        setSpecialSegments((1 << APOSTROPHE) | (1 << COLON) | (1 << DECIMAL4));
        sleep(1.0);

        setSegments(DIGIT1, (1 << SEGMENT1) | (1 << SEGMENT4) | (1 << SEGMENT7) );
        sleep(1.0);

        sendString("1234");
        sleep(1.0);
}

except KeyboardInterrupt:
    # Schnittstelle schließen
    spi.close()