#!/usr/bin/python
from Adafruit_BMP085 import BMP085

#Initialisierung des BMP085 im normalen Modus
bmp = BMP085(0x77)

# Es können noch weitere Modi benutzt werden:
# bmp = BMP085(0x77, 0)  # Extrem wenig Stromverbrauch
# bmp = BMP085(0x77, 1)  # Nomaler Modus
# bmp = BMP085(0x77, 2)  # Hochauflösender Modus
# bmp = BMP085(0x77, 3)  # Sehr hochauflösender Modus

# Lesen der Temperatur über den eingebauten Temperatursensor
temp = bmp.readTemperature()

# lesen des Luftdrucks
pressure = bmp.readPressure()

# Berechnung der Höhe bei einem Normalluftdruck von 1013.25 hPa
# Diese Funktion ist nicht sehr genau. Man kann die Genauigkeit erhöhen, 
# wenn man den Normalufdruck mit übergibt. Der WErt wird als Festkommawert 
# mit 2 Nachkommastellen interpretiert.
# altitude = bmp.readAltitude(101325)
altitude = bmp.readAltitude()

print ("Temperature: %.2f C" % temp)
print ("Pressure:    %.2f hPa" % (pressure / 100.0))
print ("Altitude:    %.2f" % altitude)
