#!/usr/bin/python
# -*- coding: utf-8 *-*
import spidev
import time
import traceback

# Erzeugen eines SPI Objektes
spi = spidev.SpiDev()
# Initialisieren der Schnittstelle 0 mit SS 0
spi.open(0,0)
spi.max_speed_hz=(10000000)
devaddr=0x40

IODIRA    = 0x00
IODIRB    = 0x01
IPOLA     = 0x02
IPOLB     = 0x03
GPINTENA  = 0x04
GPINTENB  = 0x05
DEFVALA   = 0x06
DEFVALB   = 0x07
INTCONA   = 0x08
IOCON     = 0x0A
INTCONB   = 0x09
GPPUA     = 0x0C
GPPUB     = 0x0D
INTFA     = 0x0E
INTFB     = 0x0F
INTCAPA   = 0x10
INTCAPB   = 0x11
GPIOA     = 0x12
GPIOB     = 0x13
OLATA     = 0x14
OLATB     = 0x15

def write(deviceaddress,register,byte_data):
    try:
        data=list(bytearray([chr(deviceaddress),chr(register),chr(byte_data)]))
        spi.xfer2(data)
        return True
    except:
        print("SPI Error")
        print(traceback.format_exc())
        return False

#MCP23S17 Register GPIOA auf Output schalten
write(devaddr,IODIRA,0x00)
#Wiederholen bis STRG+C
try:
    while True:
        # Blinken auf dem gesamten Port.
        write(devaddr,GPIOA,0xFF)
        time.sleep(0.5)
        write(devaddr,GPIOA,0x00)
        time.sleep(0.5)
except KeyboardInterrupt:
    # Schnittstelle schließen
    spi.close()

