#!/usr/bin/python
import RPi.GPIO as GPIO
import time

#Definition der Pins
ECHO_PIN = 23
TRIGGER_PIN = 24

def getDistance():
    #Starten der Messung
    GPIO.output(TRIGGER_PIN, True)
    time.sleep(0.00001)
    GPIO.output(TRIGGER_PIN, False)
    
    #warten auf's echo
    while GPIO.input(ECHO_PIN) == 0:
        pass
    
    #Echo 1 Flanke
    starttime = time.time()
    
    while GPIO.input(ECHO_PIN) == 1:
        pass
    
    # Stopzeit festhalten
    stoptime = time.time()
    
    # Zeitdifferenz berechnen
    diff = stoptime - starttime
    
    # Entfernung in Meter berechnen
    distance = diff * sonic_speed_constant
    return distance

# main

#Initialisierung der GPIOs
GPIO.setmode(GPIO.BCM)
GPIO.setwarnings(False)
GPIO.setup(ECHO_PIN,GPIO.IN)
GPIO.setup(TRIGGER_PIN,GPIO.OUT)
GPIO.output(TRIGGER_PIN, False)

# Konstante für Berechnung Schallgeschwindigkeit m/s
# / 2 wegen hin und rückweg
# * 100 Berchnung in cm
sonic_speed_constant = 331 / 2 * 100
print ("starting ultrasonic")

try:  
    while True:
        distance = getDistance()
        print ("distance: %3.2f cm" % (distance))
        time.sleep(1)

except KeyboardInterrupt:  
    print ("exit ultrasonic")
finally:  
    GPIO.cleanup() 
